## ros-melodic-octomap-rviz-plugins 0.2.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(octomap_rviz_plugins)

find_package(catkin REQUIRED COMPONENTS octomap_msgs
                                        roscpp
                                        rviz
                                        
)

find_package(octomap REQUIRED)
find_package(Boost REQUIRED COMPONENTS thread )

find_package(Qt5 COMPONENTS Core Widgets REQUIRED)
set(QT_LIBRARIES Qt5::Widgets)

set(CMAKE_AUTOMOC ON)

add_definitions(-DQT_NO_KEYWORDS)

catkin_package(
    INCLUDE_DIRS include
    LIBRARIES ${PROJECT_NAME}
    CATKIN_DEPENDS octomap_msgs
                   roscpp
                   rviz
    DEPENDS OCTOMAP
)
                                        

include_directories(include 
                    ${catkin_INCLUDE_DIRS} 
                    ${Boost_INCLUDE_DIRS} 
                    ${OCTOMAP_INCLUDE_DIRS})

link_directories(${catkin_LIBRARY_DIRS}
                 ${Boost_LIBRARY_DIRS}
                 ${OCTOMAP_LIBRARY_DIRS}) 


set(SOURCE_FILES
  src/occupancy_grid_display.cpp
  src/occupancy_map_display.cpp 
)

set(HEADER_FILES
  include/octomap_rviz_plugins/occupancy_grid_display.h
  include/octomap_rviz_plugins/occupancy_map_display.h
)

add_library(${PROJECT_NAME} MODULE ${SOURCE_FILES} ${HEADER_FILES})
target_link_libraries(${PROJECT_NAME} ${QT_LIBRARIES} ${Boost_LIBRARIES} ${OCTOMAP_LIBRARIES} ${catkin_LIBRARIES})
target_compile_options(${PROJECT_NAME} PUBLIC "-Wno-register") # Avoid OGRE deprecaton warnings under C++17

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES plugin_description.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

## ros-melodic-octomap-rviz-plugins 0.2.2

=== debian/changelog ===
ros-melodic-octomap-rviz-plugins (0.2.2-1stretch) stretch; urgency=high

  * Add missing Qt5 dependencies #35 <https://github.com/OctoMap/octomap_rviz_plugins/issues/35>
  * Contributors: Wolfgang Merkt

 -- Armin Hornung <armin@hornung.io>  Mon, 15 Jul 2019 23:00:00 -0000

ros-melodic-octomap-rviz-plugins (0.2.1-1stretch) stretch; urgency=high

  * Add Wolfgang Merkt to maintainers
  * Update visualization on property changes with latched topics <https://github.com/OctoMap/octomap_rviz_plugins/issues/32>
  * Update node frame from TF on every frame <https://github.com/OctoMap/octomap_rviz_plugins/issues/31>
  * Fixed rendering of free-space voxels and pruning enclosed nodes <https://github.com/OctoMap/octomap_rviz_plugins/issues/30>
  * Contributors: Armin Hornung, Matthias Nieuwenhuisen, Vladimir Ivan, Wolfgang Merkt

 -- Armin Hornung <armin@hornung.io>  Wed, 10 Jul 2019 23:00:00 -0000

ros-melodic-octomap-rviz-plugins (0.2.0-1stretch) stretch; urgency=high

  * Fix: RViz uses Qt5 in kinetic
  * Contributors: Armin Hornung

 -- Armin Hornung <armin@hornung.io>  Sat, 09 Jul 2016 23:00:00 -0000

ros-melodic-octomap-rviz-plugins (0.1.0-1stretch) stretch; urgency=high

  * Remove -ldefault_plugin from linker options, fixes #19 <https://github.com/OctoMap/octomap_rviz_plugins/issues/19>
  * Support for displaying ColorOcTree and OcTreeStamped, templated rviz plugins
  * Trim Z values in the octomap visualization
  * Add alpha property to OccupancyGridDisplay
  * add fix for qt moc BOOST_JOIN problem for osx yosemite build
  * Contributors: Armin Hornung, Felix Endres, Gautham Manoharan, Javier V. Gómez, Oleksandr Lavrushchenko, Ryohei Ueda

 -- Armin Hornung <armin@hornung.io>  Wed, 06 Jul 2016 23:00:00 -0000

ros-melodic-octomap-rviz-plugins (0.0.5-1stretch) stretch; urgency=high

  * fix a crash when the destructor is called before onInitialize
  * Fix descriptions, limit octree depth range
  * Porting fixes from groovy branch (QT4_WRAP macro, OCTOMAP_INCLUDE_DIRS)

 -- Armin Hornung <armin@hornung.io>  Thu, 05 Sep 2013 23:00:00 -0000

ros-melodic-octomap-rviz-plugins (0.0.4-1stretch) stretch; urgency=high

  * Safer checking for octree conversion from stream
  * Create octomap using AbstracOcTree (Fix issue #1)

 -- Armin Hornung <armin@hornung.io>  Thu, 04 Jul 2013 23:00:00 -0000

ros-melodic-octomap-rviz-plugins (0.0.3-1stretch) stretch; urgency=high

  * correct CMakeLists. octomap_INCLUDE_DIRS(or LIB..) to OCTOMAP_INCLUDE_DIRS

 -- Armin Hornung <armin@hornung.io>  Tue, 25 Jun 2013 23:00:00 -0000

ros-melodic-octomap-rviz-plugins (0.0.2-1stretch) stretch; urgency=high

  * 0.0.1 -> 0.0.2
  * adding OPTIONS -DBOOST_TT_HAS_OPERATOR_HPP_INCLUDED option to make QT4_WRAP macro happy

 -- Armin Hornung <armin@hornung.io>  Tue, 07 May 2013 23:00:00 -0000

ros-melodic-octomap-rviz-plugins (0.0.1-1stretch) stretch; urgency=high

  * removing dependency to octomap_ros package + clean-up
  * removing rosbuild Makefile
  * major revision
  * adjusting to recent rviz api changes
  * removed pcl dependancy
  * fixed threading issue
  * working version with ogre point cloud structures and colored boxes
  * added max depth filter

 -- Armin Hornung <armin@hornung.io>  Fri, 03 May 2013 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-octomap-rviz-plugins
Section: misc
Priority: extra
Maintainer: Armin Hornung <armin@hornung.io>
Build-Depends: debhelper (>= 9.0.0), libqt5core5a, libqt5widgets5, qtbase5-dev, ros-melodic-catkin, ros-melodic-octomap, ros-melodic-octomap-msgs, ros-melodic-roscpp, ros-melodic-rviz
Homepage: http://ros.org/wiki/octomap_rviz_plugins
Standards-Version: 3.9.2

Package: ros-melodic-octomap-rviz-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5widgets5, qtbase5-dev, ros-melodic-octomap, ros-melodic-octomap-msgs, ros-melodic-roscpp, ros-melodic-rviz
Description: A set of plugins for displaying occupancy information decoded from binary octomap messages.

## ros-melodic-octomap-rviz-plugins 0.2.4

=== debian/changelog ===
ros-melodic-octomap-rviz-plugins (0.2.4-2bionic) bionic; urgency=high

  * Use automoc feature of CMake (#34 <https://github.com/OctoMap/octomap_rviz_plugins/issues/34>)
  * Contributors: Simon Schmeisser (isys vision), Wolfgang Merkt

 -- Armin Hornung <armin@hornung.io>  Tue, 21 Dec 2021 00:00:00 -0000

ros-melodic-octomap-rviz-plugins (0.2.3-2bionic) bionic; urgency=high

  * Build plugin-lib as module (#36 <https://github.com/OctoMap/octomap_rviz_plugins/issues/36>)
  * Add GitHub Actions CI, address warnings for ROS Noetic (#39 <https://github.com/OctoMap/octomap_rviz_plugins/issues/39>)
  * Contributors: Sebastian Kasperski, Wolfgang Merkt

 -- Armin Hornung <armin@hornung.io>  Sun, 17 Jan 2021 00:00:00 -0000

ros-melodic-octomap-rviz-plugins (0.2.2-2bionic) bionic; urgency=high

  * Add missing Qt5 dependencies #35 <https://github.com/OctoMap/octomap_rviz_plugins/issues/35>
  * Contributors: Wolfgang Merkt

 -- Armin Hornung <armin@hornung.io>  Mon, 15 Jul 2019 23:00:00 -0000

ros-melodic-octomap-rviz-plugins (0.2.1-2bionic) bionic; urgency=high

  * Add Wolfgang Merkt to maintainers
  * Update visualization on property changes with latched topics <https://github.com/OctoMap/octomap_rviz_plugins/issues/32>
  * Update node frame from TF on every frame <https://github.com/OctoMap/octomap_rviz_plugins/issues/31>
  * Fixed rendering of free-space voxels and pruning enclosed nodes <https://github.com/OctoMap/octomap_rviz_plugins/issues/30>
  * Contributors: Armin Hornung, Matthias Nieuwenhuisen, Vladimir Ivan, Wolfgang Merkt

 -- Armin Hornung <armin@hornung.io>  Wed, 10 Jul 2019 23:00:00 -0000

ros-melodic-octomap-rviz-plugins (0.2.0-2bionic) bionic; urgency=high

  * Fix: RViz uses Qt5 in kinetic
  * Contributors: Armin Hornung

 -- Armin Hornung <armin@hornung.io>  Sat, 09 Jul 2016 23:00:00 -0000

ros-melodic-octomap-rviz-plugins (0.1.0-2bionic) bionic; urgency=high

  * Remove -ldefault_plugin from linker options, fixes #19 <https://github.com/OctoMap/octomap_rviz_plugins/issues/19>
  * Support for displaying ColorOcTree and OcTreeStamped, templated rviz plugins
  * Trim Z values in the octomap visualization
  * Add alpha property to OccupancyGridDisplay
  * add fix for qt moc BOOST_JOIN problem for osx yosemite build
  * Contributors: Armin Hornung, Felix Endres, Gautham Manoharan, Javier V. Gómez, Oleksandr Lavrushchenko, Ryohei Ueda

 -- Armin Hornung <armin@hornung.io>  Wed, 06 Jul 2016 23:00:00 -0000

ros-melodic-octomap-rviz-plugins (0.0.5-2bionic) bionic; urgency=high

  * fix a crash when the destructor is called before onInitialize
  * Fix descriptions, limit octree depth range
  * Porting fixes from groovy branch (QT4_WRAP macro, OCTOMAP_INCLUDE_DIRS)

 -- Armin Hornung <armin@hornung.io>  Thu, 05 Sep 2013 23:00:00 -0000

ros-melodic-octomap-rviz-plugins (0.0.4-2bionic) bionic; urgency=high

  * Safer checking for octree conversion from stream
  * Create octomap using AbstracOcTree (Fix issue #1)

 -- Armin Hornung <armin@hornung.io>  Thu, 04 Jul 2013 23:00:00 -0000

ros-melodic-octomap-rviz-plugins (0.0.3-2bionic) bionic; urgency=high

  * correct CMakeLists. octomap_INCLUDE_DIRS(or LIB..) to OCTOMAP_INCLUDE_DIRS

 -- Armin Hornung <armin@hornung.io>  Tue, 25 Jun 2013 23:00:00 -0000

ros-melodic-octomap-rviz-plugins (0.0.2-2bionic) bionic; urgency=high

  * 0.0.1 -> 0.0.2
  * adding OPTIONS -DBOOST_TT_HAS_OPERATOR_HPP_INCLUDED option to make QT4_WRAP macro happy

 -- Armin Hornung <armin@hornung.io>  Tue, 07 May 2013 23:00:00 -0000

ros-melodic-octomap-rviz-plugins (0.0.1-2bionic) bionic; urgency=high

  * removing dependency to octomap_ros package + clean-up
  * removing rosbuild Makefile
  * major revision
  * adjusting to recent rviz api changes
  * removed pcl dependancy
  * fixed threading issue
  * working version with ogre point cloud structures and colored boxes
  * added max depth filter

 -- Armin Hornung <armin@hornung.io>  Fri, 03 May 2013 23:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: ros-melodic-octomap-rviz-plugins
 Section: misc
-Priority: extra
+Priority: optional
 Maintainer: Armin Hornung <armin@hornung.io>
 Build-Depends: debhelper (>= 9.0.0), libqt5core5a, libqt5widgets5, qtbase5-dev, ros-melodic-catkin, ros-melodic-octomap, ros-melodic-octomap-msgs, ros-melodic-roscpp, ros-melodic-rviz
 Homepage: http://ros.org/wiki/octomap_rviz_plugins

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-octomap-rviz-plugins//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
